org.gcube.dataanalysis.dataminer.poolmanager.service

## Class StagingJob

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.service.DMPMJob
  - - org.gcube.dataanalysis.dataminer.poolmanager.service.StagingJob

    public class StagingJob
    extends DMPMJob

### Field Summary

### Fields inherited from class org.gcube.dataanalysis.dataminer.poolmanager.service.DMPMJob

`id, jobLogs, svnUpdater`

### Constructor Summary

Constructors
Constructor and Description
`StagingJob(SVNUpdater svnUpdater, Algorithm algorithm, Cluster stagingCluster, String rProtoVREName, String category, String algorithm_type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `buildInfo()`
`protected void` `execute()`
`String` `getStatus(int exitstatus)`

### Methods inherited from class org.gcube.dataanalysis.dataminer.poolmanager.service.DMPMJob

`createWorker, executeAnsibleWorker, start`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StagingJob

    public StagingJob(SVNUpdater svnUpdater,
                      Algorithm algorithm,
                      Cluster stagingCluster,
                      String rProtoVREName,
                      String category,
                      String algorithm_type)
               throws FileNotFoundException,
                      UnsupportedEncodingException

Throws:
  `FileNotFoundException`
  `UnsupportedEncodingException`

### Method Detail

#### execute

    protected void execute()

Specified by:
  `execute` in class `DMPMJob`

#### getStatus

    public String getStatus(int exitstatus)
                     throws FileNotFoundException,
                            UnsupportedEncodingException

Throws:
  `FileNotFoundException`
  `UnsupportedEncodingException`

#### buildInfo

    public String buildInfo()
                     throws UnsupportedEncodingException

Throws:
  `UnsupportedEncodingException`